/*
 * SYNCHRONY - Modified 2006/09/15 by Maurice Blount
 * based on the program
 *
 * synergy -- mouse and keyboard sharing utility
 * Copyright (C) 2004 Chris Schoeneman
 * 
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * found in the file COPYING that should have accompanied this file.
 * 
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "IStream.h"

//
// IStream
//

CEvent::Type			IStreamSYN::s_inputReadyEvent     = CEvent::kUnknown;
CEvent::Type			IStreamSYN::s_outputFlushedEvent  = CEvent::kUnknown;
CEvent::Type			IStreamSYN::s_outputErrorEvent    = CEvent::kUnknown;
CEvent::Type			IStreamSYN::s_inputShutdownEvent  = CEvent::kUnknown;
CEvent::Type			IStreamSYN::s_outputShutdownEvent = CEvent::kUnknown;

CEvent::Type
IStreamSYN::getInputReadyEvent()
{
	return CEvent::registerTypeOnce(s_inputReadyEvent,
							"IStream::inputReady");
}

CEvent::Type
IStreamSYN::getOutputFlushedEvent()
{
	return CEvent::registerTypeOnce(s_outputFlushedEvent,
							"IStream::outputFlushed");
}

CEvent::Type
IStreamSYN::getOutputErrorEvent()
{
	return CEvent::registerTypeOnce(s_outputErrorEvent,
							"IStream::outputError");
}

CEvent::Type
IStreamSYN::getInputShutdownEvent()
{
	return CEvent::registerTypeOnce(s_inputShutdownEvent,
							"IStream::inputShutdown");
}

CEvent::Type
IStreamSYN::getOutputShutdownEvent()
{
	return CEvent::registerTypeOnce(s_outputShutdownEvent,
							"IStream::outputShutdown");
}
