#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <termios.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>

#include "CXWindowsRS232.h"

int fd;
char* dev;

void CRS232::RS232Initialise(const char dev, int baudRate)
{
	fd = open(&dev, O_RDWR | O_NOCTTY );
	if (fd<0) {
		printf("Couldn't open %s.  Do you have the required permission?", &dev);
		return;
	}
	return;
}

CRS232::RS232_RETURN_CODE CRS232::RS232Open(void)
{
	fd = open(dev, O_RDWR | O_NOCTTY );
	if (fd<0) {
		printf("Couldn't open serial port specified.  Do you have permission?");
		return RS232_FAILED;
	}
	else return RS232_OK;
}

CRS232::RS232_RETURN_CODE CRS232::RS232Close(void)
{
	close(fd);
	return RS232_OK;
}

CRS232::RS232_RETURN_CODE CRS232::RS232Send(unsigned char* buffer, unsigned long* bufferSize)
{
#define RSDEV "/dev/ttyS0"
unsigned char byte = *buffer;
int w;
fd = open(RSDEV, O_RDWR | O_NOCTTY );
w = write(fd, &byte, sizeof(byte));
	write(fd, &buffer, sizeof(buffer));
	return RS232_OK;
}

