/*
 * SYNCHRONY - Modified 2006/09/15 by Maurice Blount
 * based on the program
 *
 * synergy -- mouse and keyboard sharing utility
 * Copyright (C) 2004 Chris Schoeneman
 * 
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * found in the file COPYING that should have accompanied this file.
 * 
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "IScreen.h"

//
// IScreen
//

CEvent::Type			IScreen::s_errorEvent			 = CEvent::kUnknown;
CEvent::Type			IScreen::s_shapeChangedEvent     = CEvent::kUnknown;
CEvent::Type			IScreen::s_suspendEvent          = CEvent::kUnknown;
CEvent::Type			IScreen::s_resumeEvent           = CEvent::kUnknown;
CEvent::Type			IScreen::s_mouseMoveEvent		 = CEvent::kUnknown;


CEvent::Type
IScreen::getMouseMoveEvent()
{
	return CEvent::registerTypeOnce(s_mouseMoveEvent,
							"IScreen::mouseMove");
}

CEvent::Type
IScreen::getErrorEvent()
{
	return CEvent::registerTypeOnce(s_errorEvent,
							"IScreen::error");
}

CEvent::Type
IScreen::getShapeChangedEvent()
{
	return CEvent::registerTypeOnce(s_shapeChangedEvent,
							"IScreen::shapeChanged");
}

CEvent::Type
IScreen::getSuspendEvent()
{
	return CEvent::registerTypeOnce(s_suspendEvent,
									"IScreen::suspend");
}

CEvent::Type
IScreen::getResumeEvent()
{
	return CEvent::registerTypeOnce(s_resumeEvent,
									"IScreen::resume");
}

//
// IScreen::CButtonInfo
//

IScreen::CButtonInfo*
IScreen::CButtonInfo::alloc(ButtonID id)
{
	CButtonInfo* info = (CButtonInfo*)malloc(sizeof(CButtonInfo));
	info->m_button = id;
	return info;
}

IScreen::CButtonInfo*
IScreen::CButtonInfo::alloc(const CButtonInfo& x)
{
	CButtonInfo* info = (CButtonInfo*)malloc(sizeof(CButtonInfo));
	info->m_button = x.m_button;
	return info;
}

bool
IScreen::CButtonInfo::equal(const CButtonInfo* a, const CButtonInfo* b)
{
	return (a->m_button == b->m_button);
}


//
// IScreen::CMotionInfo
//

IScreen::CMotionInfo*
IScreen::CMotionInfo::alloc(SInt32 x, SInt32 y)
{
	CMotionInfo* info = (CMotionInfo*)malloc(sizeof(CMotionInfo));
	info->m_x = x;
	info->m_y = y;
	return info;
}
