/*
 * SYNCHRONY - Modified 2006/09/15 by Maurice Blount
 * based on the program
 *
 * synergy -- mouse and keyboard sharing utility
 * Copyright (C) 2002 Chris Schoeneman
 * 
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * found in the file COPYING that should have accompanied this file.
 * 
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "XSynergy.h"
#include "CStringUtil.h"

//
// XBadClient
//

CStringSYN
XBadClient::getWhat() const throw()
{
	return "XBadClient";
}


//
// XIncompatibleClient
//

XIncompatibleClient::XIncompatibleClient(int major, int minor) :
	m_major(major),
	m_minor(minor)
{
	// do nothing
}

int
XIncompatibleClient::getMajor() const throw()
{
	return m_major;
}

int
XIncompatibleClient::getMinor() const throw()
{
	return m_minor;
}

CStringSYN
XIncompatibleClient::getWhat() const throw()
{
	return format("XIncompatibleClient", "incompatible client %{1}.%{2}",
								CStringUtil::print("%d", m_major).c_str(),
								CStringUtil::print("%d", m_minor).c_str());
}


//
// XDuplicateClient
//

XDuplicateClient::XDuplicateClient(const CStringSYN& name) :
	m_name(name)
{
	// do nothing
}

const CStringSYN&
XDuplicateClient::getName() const throw()
{
	return m_name;
}

CStringSYN
XDuplicateClient::getWhat() const throw()
{
	return format("XDuplicateClient", "duplicate client %{1}", m_name.c_str());
}


//
// XUnknownClient
//

XUnknownClient::XUnknownClient(const CStringSYN& name) :
	m_name(name)
{
	// do nothing
}

const CStringSYN&
XUnknownClient::getName() const throw()
{
	return m_name;
}

CStringSYN
XUnknownClient::getWhat() const throw()
{
	return format("XUnknownClient", "unknown client %{1}", m_name.c_str());
}
